欢迎光临
我们一直在努力

Syntax error: "(" unexpected解决办法

Linux执行脚本sh ./init-letsencrypt.sh出现如下错误:

./init-letsencrypt.sh: 8: ./init-letsencrypt.sh: Syntax error: "(" unexpected

错误原因:

主要是因为Linux系统shell版本不兼容引起的。 shell的版本有sh,ksh,csh, bash,dash……等等。用命令ls -al /bin/sh可以得到我们当前所用的Linux系统的shell属于何版本。

解决办法:

bash ./init-letsencrypt.sh
赞(0) 打赏
未经允许不得转载:Ddmit » Syntax error: "(" unexpected解决办法

评论 抢沙发

更好的WordPress主题

支持快讯、专题、百度收录推送、人机验证、多级分类筛选器,适用于垂直站点、科技博客、个人站,扁平化设计、简洁白色、超多功能配置、会员中心、直达链接、文章图片弹窗、自动缩略图等...

联系我们联系我们

觉得文章有用就打赏一下文章作者

非常感谢你的打赏,我们将继续提供更多优质内容,让我们一起创建更加美好的网络世界!

支付宝扫一扫打赏

微信扫一扫打赏

登录

找回密码

注册